Loading...
Searching...
No Matches
gtsam::traits< const StereoCamera > Struct Reference
Inheritance diagram for gtsam::traits< const StereoCamera >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< StereoCamera >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< StereoCamera >))
Public Member Functions inherited from gtsam::Testable< StereoCamera >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< StereoCamera >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< StereoCamera >
static TangentVector | Local (const StereoCamera &origin, const StereoCamera &other)
static StereoCamera | Retract (const StereoCamera &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< StereoCamera, StereoCamera::dimension >
static int | GetDimension (const StereoCamera &)
Static Public Member Functions inherited from gtsam::Testable< StereoCamera >
static void | Print (const StereoCamera &m, const std::string &str="")
static bool | Equals (const StereoCamera &m1, const StereoCamera &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< StereoCamera >
enum |
typedef StereoCamera | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/StereoCamera.h